#ifndef INC_GTDLINK_H
#define INC_GTDLINK_H

/************************************************************************\
*
* Header for circular doubly linked list with list head.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/

/* Structure of list link */
typedef struct GtDLink
{
	struct GtDLink *prev;
	struct GtDLink *next;
} GtDLink;



/* Function prototypes */

extern void GtDInit(GtDLink *dl);
extern void GtDAddAfter(GtDLink *adl,GtDLink *dl);
extern void GtDAddBefore(GtDLink *bdl,GtDLink *dl);
extern void GtDAddHead(GtDLink *hdl,GtDLink *dl);
extern void GtDAddTail(GtDLink *hdl,GtDLink *dl);
extern void *GtDRemove(GtDLink *dl);
extern void *GtDRemHead(GtDLink *hdl);
extern void *GtDRemTail(GtDLink *hdl);
extern void *GtDFirst(GtDLink *hdl);
extern void *GtDLast(GtDLink *hdl);
extern void *GtDNext(GtDLink *hdl,GtDLink *dl);
extern void *GtDPrev(GtDLink *hdl,GtDLink *dl);
extern int GtDEmpty(GtDLink *hdl);

#endif /* INC_GTDLINK_H */
