#ifndef INC_GTSCRLIST_H
#define INC_GTSCRLIST_H

#include "gtwidget.h"
#include "gtgroup.h"
#include "gtlist.h"
#include "gtscrollbar.h"

/************************************************************************\
*
* GtScrList class header.
*
* $Ident: This file is part of the 'Gt-library' 1.0.0 $
* $Copyright: (C) 1997 by Gran Gustafsson $
*
\************************************************************************/


class GtScrList : public GtWidget
{
public:
		/* Standard */
	GtScrList(void);
	void Destroy(void);
	sbool Init(char *n,GtManager *p,GtTag *tgs);
	sbool Set(GtTag *tgs);
	void Get(GtTag *tgs);
	char *GetClass(void) { return("GtScrList"); }
	sbool IsSubClassOf(char *cn);
		/* Instance checks */
	sbool Manage(void) { return(FALSE); }
		/* Values */
	inline GtGroup *GetGroup(void) { return(grp); }
	inline GtList *GetList(void) { return(list); }
private:
	static int ListChange(GtBase *obj,GtCDPtr cd,GtUDPtr ud);
	static int ScrChange(GtBase *obj,GtCDPtr cd,GtUDPtr ud);
protected:
		/* Instance variables */
	GtGroup *grp,*sg;
	GtList *list;
	GtScrollBar *scr;
};

extern GtScrList *GtMkScrList(char *n,GtManager *p,GtTag *tgs);
extern GtScrList *GtMkScrList(char *n,GtManager *p,ulong tag,...);

#endif /* INC_GTSCRLIST_H */
